"use strict";
class GpuParticleContainerAdaptor {
  execute(particleContainerPop, container) {
    const renderer = particleContainerPop.renderer;
    const shader = container.shader || particleContainerPop.defaultShader;
    shader.groups[0] = renderer.renderPipes.uniformBatch.getUniformBindGroup(particleContainerPop.localUniforms, true);
    shader.groups[1] = renderer.texture.getTextureBindGroup(container.texture);
    const state = particleContainerPop.state;
    const buffer = particleContainerPop.getBuffers(container);
    renderer.encoder.draw({
      geometry: buffer.geometry,
      shader: container.shader || particleContainerPop.defaultShader,
      state,
      size: container.particleChildren.length * 6
    });
  }
}

export { GpuParticleContainerAdaptor };
//# sourceMappingURL=GpuParticleContainerAdaptor.mjs.map
